Eclipse Platform Release 3.7

## org.eclipse.update.core
Interface ISiteContentProvider

All Known Implementing Classes:
  SiteContentProvider

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface ISiteContentProvider

Site content provider. A site content provider is an abstraction of each site internal organization. It allows the site content to be accessed in a standard way regardless of the internal organization. All concrete site implementations need to implement a site content provider.

Clients may implement this interface. However, in most cases clients should directly instantiate or subclass the provided implementation of this interface.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `SiteContentProvider`

Method Summary
`URL` `getArchiveReference(String id)` Deprecated. Returns a URL for the identified archive
`ISite` `getSite()` Deprecated. Returns the site for this provider
`URL` `getURL()` Deprecated. Returns the URL of this site
`void` `setSite(ISite site)` Deprecated. Sets the site for this provider.

Method Detail

### getURL

    URL getURL()

  Deprecated.
  Returns the URL of this site

  Returns:
    site URL
  Since:
    2.0

### getArchiveReference

    URL getArchiveReference(String id)
                            throws CoreException

  Deprecated.
  Returns a URL for the identified archive

  Parameters:
    `id` - archive identifier
  Returns:
    archive URL, or `null`.
  Throws:
    `CoreException`
  Since:
    2.0

### getSite

    ISite getSite()

  Deprecated.
  Returns the site for this provider

  Returns:
    provider site
  Since:
    2.0

### setSite

    void setSite(ISite site)

  Deprecated.
  Sets the site for this provider. In general, this method should only be called as part of site creation. Once set, the site should not be reset.

  Parameters:
    `site` - provider site
  Since:
    2.0

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.